Bug 62714 - mpg321 segmentation fault when play Tainted love by m manson
mpg321 segmentation fault when play Tainted love by m manson
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: mpg321 (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-04 15:21 EST by Anvil
Modified: 2014-03-16 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 15:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anvil 2002-04-04 15:21:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020314

Description of problem:
mpg321 segfault on a mp3 i got but not others.. (i dont have much mp3.. i got
more ogg =])

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download : http://confiote.ath.cx/~anvil/MarilynManson-TaintedLove.mp3
2.mpg321 MarilynManson-TaintedLove.mp3
	

Actual Results:  Segmentation fault :
[anvil@gruyere ~]# mpg321 MarilynManson-TaintedLove.mp3 
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2, and 3.
Version 0.59q (2001/Nov/30). Written and copyrights by Joe Drew.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
zsh: segmentation fault  mpg321 MarilynManson-TaintedLove.mp3


Additional info:

If you want gdb backtrace or strace just ask but i think if you download the mp3
you'll have the same problem.
Comment 1 Joe Drew 2002-04-06 02:53:19 EST
This doesn't occur with mpg321 0.2.10.
Comment 2 Bill Nottingham 2002-04-09 22:40:18 EDT
Should be fixed in 0.2.9-3.

Note You need to log in before you can comment on or make changes to this bug.